> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cloudraker.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cloudraker.com/_mcp/server.

# List channels

GET /api/channels

Returns the org's channels (newest first). Pass `?archived=true` to include archived channels. Requires `trigger:manage`.

Reference: https://docs.cloudraker.com/api/raker-one-api/channels/get-channels

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: RakerOne API
  version: 1.0.0
paths:
  /channels:
    get:
      operationId: get-channels
      summary: List channels
      description: >-
        Returns the org's channels (newest first). Pass `?archived=true` to
        include archived channels. Requires `trigger:manage`.
      tags:
        - subpackage_channels
      parameters:
        - name: archived
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/ChannelsGetParametersArchived'
        - name: Authorization
          in: header
          description: >-
            WorkOS session JWT or an organization API key, sent as
            `Authorization: Bearer <token>`.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The org's channels.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChannelList'
        '401':
          description: Unauthorized — missing or invalid bearer token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden — the caller lacks the required permission.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
servers:
  - url: /api
    description: Current origin
  - url: https://app.raker.one/api
    description: Production
components:
  schemas:
    ChannelsGetParametersArchived:
      type: string
      enum:
        - 'true'
        - 'false'
      title: ChannelsGetParametersArchived
    ChannelType:
      type: string
      enum:
        - email
        - webhook
        - file_drop
      title: ChannelType
    ChannelStatus:
      type: string
      enum:
        - active
        - archived
      title: ChannelStatus
    Channel:
      type: object
      properties:
        _id:
          type: string
        slug:
          type: string
        name:
          type: string
        type:
          $ref: '#/components/schemas/ChannelType'
        address:
          type: string
        webhookSecret:
          type:
            - string
            - 'null'
        hookdeckSourceId:
          type:
            - string
            - 'null'
        hookdeckConnectionId:
          type:
            - string
            - 'null'
        folderId:
          type:
            - string
            - 'null'
        status:
          $ref: '#/components/schemas/ChannelStatus'
        createdAt:
          type: string
        archivedAt:
          type:
            - string
            - 'null'
        createdBy:
          type: string
      required:
        - _id
        - slug
        - name
        - type
        - address
        - webhookSecret
        - hookdeckSourceId
        - hookdeckConnectionId
        - status
        - createdAt
        - archivedAt
        - createdBy
      title: Channel
    ChannelList:
      type: object
      properties:
        channels:
          type: array
          items:
            $ref: '#/components/schemas/Channel'
      required:
        - channels
      title: ChannelList
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Machine-readable error code (e.g. `invalid_body`, `not_found`).
        issues:
          type: array
          items:
            description: Any type
          description: Schema-validation issues, present when `error` is `invalid_body`.
      required:
        - error
      description: Standard API error response.
      title: ErrorResponse
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        WorkOS session JWT or an organization API key, sent as `Authorization:
        Bearer <token>`.

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "channels": [
    {
      "_id": "63f1a2b4e4b0c123456789ab",
      "slug": "support-inquiries",
      "name": "Support Inquiries",
      "type": "email",
      "address": "support@raker.one",
      "webhookSecret": "a1b2c3d4e5f6g7h8i9j0",
      "hookdeckSourceId": "hdsrc_9876543210abcdef",
      "hookdeckConnectionId": "hdconn_1234567890abcdef",
      "status": "active",
      "createdAt": "2024-05-20T09:15:00Z",
      "archivedAt": null,
      "createdBy": "user_5f8d0d55b54764421b7156c3",
      "folderId": "folder_abc123def456"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api/channels"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api/channels';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api/channels"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api/channels")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api/channels")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api/channels', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api/channels");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api/channels")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```